View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021309FPCCompilerpublic2012-02-17 13:532013-09-26 10:21
ReporterMarco van de Voort 
Assigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionunable to reproduce 
Platformwin32OSOS Version
Product Version2.7.1Product Buildsvn 2011-02-15 
Target VersionFixed in Version 
Summary0021309: IE 2011053001 on generics code
DescriptionAttached sample says it all, during isolation of a different problem.
Tagsgenerics
FPCOldBugId0
Fixed in Revision
Attached Files? file icon baseimagegen.pas [^] (1,559 bytes) 2012-02-17 13:53

- Relationships

-  Notes
(0059363)
Sven Barth (manager)
2012-05-07 20:15
edited on: 2012-05-07 20:20

Would you please retest with a current 2.7.1? The internal error doesn't seem to exist anymore (in the source itself!), but a different problem surfaces of which I don't know whether you reported it already (maybe that was the problem you wanted to report originally?)

Edit: Ok, the error does still exist in the source, Lazarus was just slow listing the found locations... nevertheless I can not reproduce it here :)

Regards,
Sven

(0070342)
Sven Barth (manager)
2013-09-26 10:21

When I remove the need for the Windows unit (I'm on Linux), uncomment the RGB24 type and move the implementation constants to the method I get no error so this seems to be fixed. If not please reopen.

Regards,
Sven

- Issue History
Date Modified Username Field Change
2012-02-17 13:53 Marco van de Voort New Issue
2012-02-17 13:53 Marco van de Voort File Added: baseimagegen.pas
2012-02-17 13:53 Marco van de Voort FPCOldBugId => 0
2012-05-07 20:06 Sven Barth Tag Attached: assertions
2012-05-07 20:06 Sven Barth Tag Attached: generics
2012-05-07 20:06 Sven Barth Tag Detached: assertions
2012-05-07 20:15 Sven Barth Note Added: 0059363
2012-05-07 20:15 Sven Barth Status new => feedback
2012-05-07 20:20 Sven Barth Note Edited: 0059363
2013-09-26 10:21 Sven Barth Note Added: 0070342
2013-09-26 10:21 Sven Barth Status feedback => resolved
2013-09-26 10:21 Sven Barth Resolution open => unable to reproduce
2013-09-26 10:21 Sven Barth Assigned To => Sven Barth



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker